Returns the client application with the specified id.

GEThttps://api.awork.com/api/v1/clientapplications/{clientId}
GET https://api.awork.com/api/v1/clientapplications/{clientId}

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

clientIdstringRequired

The id of the client application.

Responses

200 OK

application/json

clientIdstring or nullOptional

The client application's identifier.

displayNamestring or nullOptional

The client application's display name.

redirectUrisarray of string or nullOptional

The redirect URIs.

isConfidentialbooleanOptional

Indicates whether the client application is confidential. Backend integrations are considered confidential as the secret is never shipped to a user, while web apps or CLI integrations are not.

createdOnstringOptional
format: date-time

The date this entity was created.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation